Ogre::EntityMaterialLodChangedEvent Struct Reference
LOD

Struct containing information about a material lod change event for entities. More...

`#include <OgreLodListener.h>`

List of all members.

## Public Attributes

SubEntity * | subEntity
| The sub-entity whose material's level of detail has changed.
Camera * | camera
| The camera with respect to which the level of detail has changed.
Real | lodValue
| Lod value as determined by lod strategy.
ushort | previousLodIndex
| Previous level of detail index.
ushort | newLodIndex
| New level of detail index.

## Detailed Description

Struct containing information about a material lod change event for entities.

Definition at line 73 of file OgreLodListener.h.

## Member Data Documentation

Camera* Ogre::EntityMaterialLodChangedEvent::camera

The camera with respect to which the level of detail has changed.

Definition at line 79 of file OgreLodListener.h.

Real Ogre::EntityMaterialLodChangedEvent::lodValue

Lod value as determined by lod strategy.

Definition at line 82 of file OgreLodListener.h.

ushort Ogre::EntityMaterialLodChangedEvent::newLodIndex

New level of detail index.

Definition at line 88 of file OgreLodListener.h.

ushort Ogre::EntityMaterialLodChangedEvent::previousLodIndex

Previous level of detail index.

Definition at line 85 of file OgreLodListener.h.

SubEntity* Ogre::EntityMaterialLodChangedEvent::subEntity

The sub-entity whose material's level of detail has changed.

Definition at line 76 of file OgreLodListener.h.

The documentation for this struct was generated from the following file:

- OgreLodListener.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:30